STRSEP(3)

NAME
strsep - extract token from string

SYNOPSIS
#include <string.h>

char *strsep(char **stringp, const char *delim);

DESCRIPTION
The strsep() function returns the next token from the string stringp which is delimited by delim. The token is terminated with a `\0' character and stringp is updated to point past the token.

RETURN VALUE
The strsep() function returns a pointer to the token, or NULL if delim is not found in stringp.

NOTES
The strsep() function was introduced as a replacement for strtok(), since the latter cannot handle empty fields. (However, strtok() conforms to ANSI-C and hence is more portable.)

CONFORMING TO
BSD 4.4

SEE ALSO
index(3), memchr(3), rindex(3), strchr(3), strpbrk(3), strspn(3), strstr(3), strtok(3)